commit 05d59471fd5dfc3ce888ccbc7f7330ea79b4f011
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Tue Feb 3 16:24:48 2015 +0100

    update translations from menusets (+ script to automatically do it)

diff --git a/i18n/bg/LC_MESSAGES/ckanext.po b/i18n/bg/LC_MESSAGES/ckanext.po
index d48b99d..9bdf883 100644
--- a/i18n/bg/LC_MESSAGES/ckanext.po
+++ b/i18n/bg/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: bg <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,47 +28,47 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
-msgstr ""
+msgstr "Изучаване"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
-msgstr ""
+msgstr "Новини"
 
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
-msgstr ""
+msgstr "Съвместно изграждане "
 
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
-msgstr ""
+msgstr "Стартиране "
 
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
-msgstr ""
+msgstr "Връзки"
 
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
-msgstr ""
+msgstr "Екипът на проекта "
 
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
-msgstr ""
+msgstr "Проекти"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
-msgstr ""
+msgstr "Ръководство на потребителя"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Условия за ползване "
 
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
-msgstr ""
+msgstr "Правни бележки"
 
 #: ckanext/ozwillo_theme/templates/footer.html:40
 msgid "Governance"
@@ -76,8 +76,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,4 +119,3 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/i18n/ca/LC_MESSAGES/ckanext.po b/i18n/ca/LC_MESSAGES/ckanext.po
index c816a15..850ca8e 100644
--- a/i18n/ca/LC_MESSAGES/ckanext.po
+++ b/i18n/ca/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: ca <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,47 +28,47 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
-msgstr ""
+msgstr "Descobrint"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
-msgstr ""
+msgstr "Noticies"
 
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
-msgstr ""
+msgstr "Co-construcció"
 
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
-msgstr ""
+msgstr "Posada en marxa"
 
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
-msgstr ""
+msgstr "Contactes"
 
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
-msgstr ""
+msgstr "L'equip del Projecte"
 
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
-msgstr ""
+msgstr "Projectes"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
-msgstr ""
+msgstr "Manuals d'usuari"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Condicions d'ús"
 
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
-msgstr ""
+msgstr "Notes Legals"
 
 #: ckanext/ozwillo_theme/templates/footer.html:40
 msgid "Governance"
@@ -76,8 +76,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,4 +119,3 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/i18n/es/LC_MESSAGES/ckanext.po b/i18n/es/LC_MESSAGES/ckanext.po
index 7ac48ec..e9d4eda 100644
--- a/i18n/es/LC_MESSAGES/ckanext.po
+++ b/i18n/es/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:19+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: es <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,56 +28,56 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
-msgstr ""
+msgstr "Descubriendo"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
-msgstr ""
+msgstr "Noticias"
 
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
-msgstr ""
+msgstr "Co-construcción"
 
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
-msgstr ""
+msgstr "Puesta en marcha"
 
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
-msgstr ""
+msgstr "Contactos"
 
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
-msgstr ""
+msgstr "El equipo del proyecto"
 
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
-msgstr ""
+msgstr " Proyectos"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
-msgstr ""
+msgstr "Manuales de usuario"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Condiciones de uso"
 
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
-msgstr ""
+msgstr "Notas legales"
 
 #: ckanext/ozwillo_theme/templates/footer.html:40
 msgid "Governance"
-msgstr ""
+msgstr "Gobernanza"
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,4 +119,3 @@ msgstr "Descubriendo"
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/i18n/fr/LC_MESSAGES/ckanext.po b/i18n/fr/LC_MESSAGES/ckanext.po
index 4fe619b..a1926a8 100644
--- a/i18n/fr/LC_MESSAGES/ckanext.po
+++ b/i18n/fr/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:23+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: fr <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n > 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,7 +28,7 @@ msgstr "pour la création d'un bien commune de données"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
-msgstr ""
+msgstr "Découvrir"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
@@ -47,37 +47,37 @@ msgstr "Se lancer"
 
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
-msgstr ""
+msgstr "Contact"
 
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
-msgstr ""
+msgstr "Projets"
 
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
-msgstr "Projets"
+msgstr "L'équipe projet"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
-msgstr ""
+msgstr "Guide utilisateur"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "CGU"
 
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
-msgstr ""
+msgstr "Mentions légales"
 
 #: ckanext/ozwillo_theme/templates/footer.html:40
 msgid "Governance"
-msgstr ""
+msgstr "Gouvernance"
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 "OASIS est un projet financé par l'Union Européenne dans le cadre du "
 "programme pour la compétitivité et l'innovation CIP ICT PSP- N°297210"
@@ -121,4 +121,3 @@ msgstr "Découvrir"
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr "Découvrir la plateforme"
-
diff --git a/i18n/it/LC_MESSAGES/ckanext.po b/i18n/it/LC_MESSAGES/ckanext.po
index 788e82b..46c1991 100644
--- a/i18n/it/LC_MESSAGES/ckanext.po
+++ b/i18n/it/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: it <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,47 +28,47 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
-msgstr ""
+msgstr "Scoprire"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
-msgstr ""
+msgstr "Novità"
 
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
-msgstr ""
+msgstr "Costruire collaborativamente"
 
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
-msgstr ""
+msgstr "Iniziare"
 
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
-msgstr ""
+msgstr "Contatti"
 
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
-msgstr ""
+msgstr "Il team di progetto"
 
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
-msgstr ""
+msgstr "Progetti"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
-msgstr ""
+msgstr "Manuale utente"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Termini di utilizzo"
 
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
-msgstr ""
+msgstr "Avvisi legali"
 
 #: ckanext/ozwillo_theme/templates/footer.html:40
 msgid "Governance"
@@ -76,8 +76,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,4 +119,3 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/i18n/tr/LC_MESSAGES/ckanext.po b/i18n/tr/LC_MESSAGES/ckanext.po
index f1eb8a7..eecf6aa 100644
--- a/i18n/tr/LC_MESSAGES/ckanext.po
+++ b/i18n/tr/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: tr <LL@li.org>\n"
-"Plural-Forms: nplurals=1; plural=0\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,47 +28,47 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
-msgstr ""
+msgstr "Eşfetmek"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
-msgstr ""
+msgstr "Haberler"
 
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
-msgstr ""
+msgstr "Birlikte inşa etmek"
 
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
-msgstr ""
+msgstr "Başlatmak"
 
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
-msgstr ""
+msgstr "İletişm"
 
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
-msgstr ""
+msgstr "Proje Ekibi"
 
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
-msgstr ""
+msgstr "Projeler"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
-msgstr ""
+msgstr "Kulanıcı Kılavuzu"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Kullanım Şartları"
 
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
-msgstr ""
+msgstr "Yasal Uyarılar"
 
 #: ckanext/ozwillo_theme/templates/footer.html:40
 msgid "Governance"
@@ -76,8 +76,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,4 +119,3 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/update-translations-from-menusets.py b/update-translations-from-menusets.py
new file mode 100755
index 0000000..afeef5e
--- /dev/null
+++ b/update-translations-from-menusets.py
@@ -0,0 +1,37 @@
+#! /usr/bin/env python
+
+import os
+import requests
+import xml.etree.ElementTree as ET
+import polib
+
+urls = ['https://www.oasis-eu.org/footer.xml']
+langs = {}
+for url in urls:
+    response = requests.get(url)
+    menuset = ET.fromstring(response.text.encode('utf-8'))
+    for menu in menuset.findall('menu'):
+        locale = menu.find('locale').text
+        langs[locale] = []
+        for item in menu.findall('item'):
+            if 'href' in item.attrib:
+                langs[locale].append(item.attrib['href'])
+                langs[locale].append(item.text)
+            else:
+                langs[locale].append('#')
+                langs[locale].append('')
+
+for lang in os.listdir('i18n'):
+    path = os.path.join('i18n', lang, 'LC_MESSAGES', 'ckanext.po')
+    if not os.path.exists(path):
+        continue
+    catalog = dict(zip(langs['en'], langs[lang]))
+    pofile = polib.pofile(path)
+    changed = False
+    for entry in pofile:
+        if entry.msgid in catalog:
+            if entry.msgstr != catalog.get(entry.msgid):
+                entry.msgstr = catalog.get(entry.msgid)
+                changed = True
+    if changed:
+        pofile.save(path)