commit 17d07faf124e6a4881918871c77890f7930d548b
Author: Guillaume Denis <gdenis@pole-numerique.fr>
Date:   Thu Mar 19 14:02:11 2015 +0100

    navbar: active elements styling + divider styling + DOM cleanup (markup fixed, indentation)

diff --git a/ckanext/ozwillo_theme/fanstatic/ozwillo.css b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
index 0deb93a..4138cdb 100644
--- a/ckanext/ozwillo_theme/fanstatic/ozwillo.css
+++ b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
@@ -114,6 +114,25 @@ padding-top: 80px;
     display: block;
 }
 
+.navbar .dropdown-menu .divider {
+  margin: 5px 0;
+  border-bottom: 1px solid #e5e5e5;
+}
+
+.navbar .nav li.dropdown.active>.dropdown-toggle {
+  background-color: #eeeeee;
+  box-shadow: none;
+  text-shadow: none;
+}
+
+.navbar .dropdown-menu a:hover, .navbar .dropdown-menu a:focus {
+  background: #eeeeee;
+}
+
+.navbar .dropdown-menu > .active > a, .navbar .dropdown-menu > .active > a:hover, .navbar .dropdown-menu > .active > a:focus {
+  background: #6e418e;
+}
+
 /* footer */
 footer .t3-footnav {
   padding: 16px 0 0;
diff --git a/ckanext/ozwillo_theme/templates/header.html b/ckanext/ozwillo_theme/templates/header.html
index 7dd7634..4f0fb4d 100644
--- a/ckanext/ozwillo_theme/templates/header.html
+++ b/ckanext/ozwillo_theme/templates/header.html
@@ -2,72 +2,58 @@
 {% set current_page = request.environ.CKAN_CURRENT_URL %}
 <nav id="t3-mainnav" class="wrap navbar navbar-default navbar-fixed-top t3-mainnav">
 	<div class="container">
-
-		<!-- Brand and toggle get grouped for better mobile display -->
 		<div class="navbar-header">
-		
-			
-							
-<button class="btn btn-primary visible-xs-inline-block off-canvas-toggle " type="button" data-pos="left" data-nav="#t3-off-canvas" data-effect="off-canvas-effect-4">
-  <i class="fa fa-bars"></i>
-</button>
-
-<!-- OFF-CANVAS SIDEBAR -->
-
-<!-- //OFF-CANVAS SIDEBAR -->
-			
+      <button class="btn btn-primary visible-xs-inline-block off-canvas-toggle " type="button" data-pos="left" data-nav="#t3-off-canvas" data-effect="off-canvas-effect-4">
+        <i class="fa fa-bars"></i>
+      </button>
 		</div>
-
-		
 		<div class="t3-navbar navbar-collapse collapse">
-					<ul class="nav navbar-nav">
-			<li class="item-107 current">				<a class="logo" href="{{ g.ozwillo_url }}/{{current_lang}}"><img src="/img/logo-h43.png" alt="{% trans %}Home{% endtrans %}"></a>
-				</li><li class="item-108">				<a class="nav-apps" href="{{ g.ozwillo_portal_url }}/{{current_lang}}/store?ui_locales={{current_lang}}">{% trans %}Catalog{% endtrans %}</a>
+			<ul class="nav navbar-nav">
+  			<li class="item-107 current">
+          <a class="logo" href="{{ g.ozwillo_url }}/{{current_lang}}"><img src="/img/logo-h43.png" alt="{% trans %}Home{% endtrans %}"></a>
 				</li>
-<li class="item-119 deeper dropdown parent">
-{% if c.userobj %}
-  <a class="dropdown-toggle nav-data" href="#" data-toggle="dropdown">{% trans %}Data{% endtrans %}<b class="caret"></b></a>
-  <ul class="dropdown-menu">
-    <li{% if current_page == '/' %} class='active'{% endif %}><a href="/{{current_lang}}">{% trans %}Home{% endtrans %}</a></li>
-    <li{% if current_page.startswith('/dataset') %} class='active'{% endif %}><a href="/{{current_lang}}/dataset">{% trans %}Datasets{% endtrans %}</a></li>
-    <li{% if current_page.startswith('/organization') %} class='active'{% endif %}><a href="/{{current_lang}}/organization">{% trans %}Organizations{% endtrans %}</a></li>
-    <li{% if current_page.startswith('/group') %} class='active'{% endif %}><a href="/{{current_lang}}/group">{% trans %}Groups{% endtrans %}</a></li>
-    <li class="divider"></li>
-    <li{% if current_page.startswith('/dashboard') %} class='active'{% endif %}><a href="/{{current_lang}}/dashboard">{% trans %}Dashboard{% endtrans %}</a></li>
-  </ul>
-  {% else %}
-    <a class="dropdown-toggle nav-data" href="/">{% trans %}Data{% endtrans %}</a>
-{% endif %}
-</li>
-</ul>
-
-<ul class="nav navbar-nav navbar-right navbar-lang">
-  <li class="dropdown">{% snippet "language_switcher.html" %}</li>
-</ul>
-</li>
-</ul>
-          
-<!-- RIGHT NAV -->
-<ul class="nav navbar-nav navbar-right">
-  <li class="item-123">
-  {% if c.userobj %}
-  <a class="btn navbar-btn" href="{{ h.url_for('/user/slo') }}">{% trans %}Log out{% endtrans %}</a>
-  {% else %}
-  <a class="btn navbar-btn" href="{{ g.ozwillo_portal_url }}/my?ui_locales={{current_lang}}">{% trans %}Log in{% endtrans %}</a>
-  {% endif %}
-  </li>
-<li class="item-112 deeper dropdown parent"><a class="dropdown-toggle" href="/en/oz/discover" data-toggle="dropdown">{% trans %}Discover{% endtrans %} <b class="caret"></b></a>
-  <ul class="dropdown-menu">
-    <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/discover">{% trans %}Discovering the Platform{% endtrans %}</a></li>
-    <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/news">{% trans %}News{% endtrans %}</a></li>
-    <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/co-construct">{% trans %}Co-construct{% endtrans %}</a></li>
-    <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/let-s-go">{% trans %}Let's go{% endtrans %}</a></li>
-    <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects">{% trans %}Projects{% endtrans %}</a></li>
-</ul></li></ul>
+        <li class="item-108">
+          <a class="nav-apps" href="{{ g.ozwillo_portal_url }}/{{current_lang}}/store?ui_locales={{current_lang}}">{% trans %}Catalog{% endtrans %}</a>
+				</li>
+        {% if c.userobj %}
+        <li class="item-119 deeper dropdown parent">
+          <a class="dropdown-toggle nav-data" href="#" data-toggle="dropdown">{% trans %}Data{% endtrans %} <b class="caret"></b></a>
+          <ul class="dropdown-menu">
+            <li{% if current_page == '/' %} class='active'{% endif %}><a href="/{{current_lang}}">{% trans %}Home{% endtrans %}</a></li>
+            <li{% if current_page.startswith('/dataset') %} class='active'{% endif %}><a href="/{{current_lang}}/dataset">{% trans %}Datasets{% endtrans %}</a></li>
+            <li{% if current_page.startswith('/organization') %} class='active'{% endif %}><a href="/{{current_lang}}/organization">{% trans %}Organizations{% endtrans %}</a></li>
+            <li{% if current_page.startswith('/group') %} class='active'{% endif %}><a href="/{{current_lang}}/group">{% trans %}Groups{% endtrans %}</a></li>
+            <li class="divider"></li>
+            <li{% if current_page.startswith('/dashboard') %} class='active'{% endif %}><a href="/{{current_lang}}/dashboard">{% trans %}Dashboard{% endtrans %}</a></li>
+          </ul>
+        {% else %}
+        <li class="active deeper dropdown parent">
+          <a class="dropdown-toggle nav-data" href="/">{% trans %}Data{% endtrans %}</a>
+        {% endif %}
+        </li>
+      </ul>
+      <ul class="nav navbar-nav navbar-right navbar-lang">
+        <li class="dropdown">{% snippet "language_switcher.html" %}</li>
+      </ul>
 
-      	    <!-- //RIGHT NAV -->
-                    
+      <ul class="nav navbar-nav navbar-right">
+        <li class="item-123">
+        {% if c.userobj %}
+        <a class="btn navbar-btn" href="{{ h.url_for('/user/slo') }}">{% trans %}Log out{% endtrans %}</a>
+        {% else %}
+        <a class="btn navbar-btn" href="{{ g.ozwillo_portal_url }}/my?ui_locales={{current_lang}}">{% trans %}Log in{% endtrans %}</a>
+        {% endif %}
+        </li>
+        <li class="item-112 deeper dropdown parent"><a class="dropdown-toggle" href="/en/oz/discover" data-toggle="dropdown">{% trans %}Discover{% endtrans %} <b class="caret"></b></a>
+          <ul class="dropdown-menu">
+            <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/discover">{% trans %}Discovering the Platform{% endtrans %}</a></li>
+            <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/news">{% trans %}News{% endtrans %}</a></li>
+            <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/co-construct">{% trans %}Co-construct{% endtrans %}</a></li>
+            <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/let-s-go">{% trans %}Let's go{% endtrans %}</a></li>
+            <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects">{% trans %}Projects{% endtrans %}</a></li>
+          </ul>
+        </li>
+      </ul>
 		</div>
-
 	</div>
-</nav>
+</nav>
\ No newline at end of file