commit 61b3455546e3cb26a80c800e2643632ec66c3e6a
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Tue Feb 3 14:17:47 2015 +0100

    style: use ozwillo header and footer

diff --git a/ckanext/ozwillo_theme/fanstatic/DIN.ttf b/ckanext/ozwillo_theme/fanstatic/DIN.ttf
new file mode 100644
index 0000000..2d8f1d2
Binary files /dev/null and b/ckanext/ozwillo_theme/fanstatic/DIN.ttf differ
diff --git a/ckanext/ozwillo_theme/fanstatic/DIN.woff b/ckanext/ozwillo_theme/fanstatic/DIN.woff
new file mode 100644
index 0000000..65423ea
Binary files /dev/null and b/ckanext/ozwillo_theme/fanstatic/DIN.woff differ
diff --git a/ckanext/ozwillo_theme/fanstatic/data-icon.png b/ckanext/ozwillo_theme/fanstatic/data-icon.png
new file mode 100644
index 0000000..d7325b6
Binary files /dev/null and b/ckanext/ozwillo_theme/fanstatic/data-icon.png differ
diff --git a/ckanext/ozwillo_theme/fanstatic/ozwillo.css b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
index 6939589..8c68ca6 100644
--- a/ckanext/ozwillo_theme/fanstatic/ozwillo.css
+++ b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
@@ -1,6 +1,64 @@
+@font-face {
+  font-family: "DIN2";
+  src: url("DIN.woff") format("woff"), url("DIN.ttf") format("truetype");
+}
+
+body {
+  font-family: "DIN2" !important;
+}
+
 .authed ul li a[href^="/user/edit"],
 div a[href^="/user/edit"],
 .not-authed ul li a[href^="/user/login"],
 .not-authed ul li a[href^="/user/register"] {
    display: none ;
 }
+
+
+#t3-mainnav a.logo {
+  box-shadow: none;
+}
+
+.navbar .nav .btn {
+  background: transparent;
+}
+
+.navbar .nav > li > .navbar-btn {
+  padding-top: 6px;
+  padding-bottom: 6px;
+}
+
+.navbar .nav > li > a {
+  padding-top: 14px;
+  padding-bottom: 14px;
+}
+
+@media (min-width: 992px) {
+  #t3-mainnav .container {
+    width: 970px;
+  }
+}
+@media (min-width: 1200px) {
+  #t3-mainnav .container {
+    width: 1170px;
+  }
+}
+
+.homepage [role="main"] {
+padding-top: 80px;
+}
+
+#t3-mainnav .nav>li>.dropdown-menu:before,
+#t3-mainnav .nav>li>.dropdown-menu:after {
+  display: none;
+}
+
+.nav a.nav-data:before {
+  display: block;
+  content: "";
+  margin-top: -3px;
+  width: 40px;
+  height: 30px;
+  float: left;
+  background: url('data-icon.png') no-repeat top left;
+}
diff --git a/ckanext/ozwillo_theme/templates/base.html b/ckanext/ozwillo_theme/templates/base.html
index faf98a3..8ff07fe 100644
--- a/ckanext/ozwillo_theme/templates/base.html
+++ b/ckanext/ozwillo_theme/templates/base.html
@@ -3,4 +3,23 @@
 {% block styles %}
   {{ super() }}
   {% resource 'theme/ozwillo.css' %}
+<link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.bootstrap.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/plugins.system.t3.base-bs3.less.t3.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.core.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.typography.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.forms.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.navigation.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.navbar.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.modules.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.joomla.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.components.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.style.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.plugins.hover.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.themes.dark.template.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.template.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/plugins.system.t3.base-bs3.less.off-canvas.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/t3-assets/dev/dark/templates.t3_bs3_blank.less.off-canvas.less.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/templates/t3_bs3_blank/fonts/font-awesome/css/font-awesome.min.css" type="text/css">
+  <link rel="stylesheet" href="https://www.ozwillo-preprod.eu/media/mod_languages/css/template.css" type="text/css">
+
 {% endblock %}
diff --git a/ckanext/ozwillo_theme/templates/footer.html b/ckanext/ozwillo_theme/templates/footer.html
new file mode 100644
index 0000000..948f03a
--- /dev/null
+++ b/ckanext/ozwillo_theme/templates/footer.html
@@ -0,0 +1,67 @@
+<footer id="t3-footer" class="wrap t3-footer">
+
+	<section class="t3-sitemap">
+					<!-- FOOT NAVIGATION -->
+			<div class="container">
+					<!-- SPOTLIGHT -->
+	<div class="t3-spotlight t3-footnav  row">
+					<div class=" col-lg-6 col-md-6 col-sm-3 col-xs-12">
+								<div class="t3-module module " id="Mod92"><div class="module-inner"><div class="module-ct">
+
+<div class="custom">
+	<div class="text-center">
+  <img src="https://www.ozwillo-preprod.eu/images/brand/logo.png">
+  <p>{% trans %}A platform of interactive services{% endtrans %}<br>
+     {% trans %}for a common good of data{% endtrans %}
+  </p>
+</div></div>
+</div></div></div>
+							</div>
+					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
+								<div class="t3-module module " id="Mod141"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-right navbar-footer">
+<li><a href="/en/oz/discover">{% trans %}Discovering{% endtrans %}</a></li>
+<li><a href="/en/oz/news">{% trans %}News{% endtrans %}</a></li>
+<li><a href="/en/oz/co-construct">{% trans %}Co-construct{% endtrans %}</a></li>
+<li><a href="/en/oz/let-s-go">{% trans %}Let's go{% endtrans %}</a></li></ul>
+</div></div></div>
+							</div>
+					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
+								<div class="t3-module module " id="Mod142"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-right navbar-footer">
+<li><a href="/en/contact">{% trans %}Contact{% endtrans %}</a></li>
+<li><a href="/en/l-equipe-projet-oasis">{% trans %}Project team{% endtrans %}</a></li>
+<li><a href="/en/oz/projects">{% trans %}Projects{% endtrans %}</a></li></ul>
+</div></div></div>
+							</div>
+					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
+								<div class="t3-module module " id="Mod143"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-right navbar-footer">
+<li><a href="/en/guide-utilisateur">{% trans %}User guide{% endtrans %}</a></li>
+<li><a href="/en/terms">{% trans %}General terms of use{% endtrans %}</a></li>
+<li><a href="/en/legal-notices">{% trans %}Legal Notices{% endtrans %}</a></li>
+<li><a href="/en/oz/co-construct">{% trans %}Governance{% endtrans %}</a></li></ul>
+</div></div></div>
+							</div>
+			</div>
+<!-- SPOTLIGHT -->			</div>
+			<!-- //FOOT NAVIGATION -->
+			</section>
+
+	<section class="t3-copyright">
+		<div class="container">
+			<div class="row">
+				<div class="col-md-12 copyright ">
+					
+
+<div class="custom">
+	<div class="row">
+  <div class="col-md-6 col-md-offset-3">
+    <img src="https://www.ozwillo-preprod.eu/images/brand/eu.png" class="pull-left bm rm">
+	<p class="tm-h">{% trans %}OASIS is a project cofunded by the EU under the Program for Competitiveness and Innovation CIP ICT PSP- N°297210{% endtrans %}</p>
+  </div>
+</div></div>
+
+				</div>
+							</div>
+		</div>
+	</section>
+
+</footer>
diff --git a/ckanext/ozwillo_theme/templates/header.html b/ckanext/ozwillo_theme/templates/header.html
new file mode 100644
index 0000000..8577a92
--- /dev/null
+++ b/ckanext/ozwillo_theme/templates/header.html
@@ -0,0 +1,60 @@
+{% set current_lang = request.environ.CKAN_LANG %}
+<nav id="t3-mainnav" class="wrap navbar navbar-default navbar-fixed-top t3-mainnav">
+	<div class="container">
+
+		<!-- Brand and toggle get grouped for better mobile display -->
+		<div class="navbar-header">
+		
+			
+							
+<button class="btn btn-primary visible-xs-inline-block off-canvas-toggle " type="button" data-pos="left" data-nav="#t3-off-canvas" data-effect="off-canvas-effect-4">
+  <i class="fa fa-bars"></i>
+</button>
+
+<!-- OFF-CANVAS SIDEBAR -->
+
+<!-- //OFF-CANVAS SIDEBAR -->
+			
+		</div>
+
+		
+		<div class="t3-navbar navbar-collapse collapse">
+					<ul class="nav navbar-nav">
+			<li class="item-107 current active">				<a class="logo" href="/en/"><img src="https://www.ozwillo-preprod.eu/images/brand/logo-100.png" alt="{% trans %}Home{% endtrans %}"></a>
+				</li><li class="item-108">				<a class="nav-apps" href="https://portal.ozwillo-preprod.eu/en/store?ui_locales={{current_lang}}">{% trans %}Catalog{% endtrans %}</a>
+				</li>
+<li class="item-119 deeper dropdown parent">
+  <a class="dropdown-toggle nav-data" href="#" data-toggle="dropdown">{% trans %}Data{% endtrans %}<b class="caret"></b></a>
+  <ul class="dropdown-menu">
+    <li><a href="/{{current_lang}}/dataset">{% trans %}Datasets{% endtrans %}</a></li>
+    <li><a href="/{{current_lang}}/organization">{% trans %}Organizations{% endtrans %}</a></li>
+    <li><a href="/{{current_lang}}/group">{% trans %}Groups{% endtrans %}</a></li>
+    <li><a href="/{{current_lang}}/about">{% trans %}Terms of use{% endtrans %}</a></li>
+  </ul>
+</li>
+</ul>
+
+<ul class="nav navbar-nav navbar-right navbar-lang">
+  <li class="dropdown">{% snippet "language_switcher.html" %}</li>
+</ul>
+</li>
+</ul>
+          
+                    	<!-- RIGHT NAV -->
+       	   	<ul class="nav navbar-nav navbar-right">
+<li class="item-123"><a class="btn navbar-btn" href="https://portal.ozwillo-preprod.eu/my?ui_locales={{current_lang}}">{% trans %}Log in{% endtrans %}</a></li>
+<li class="item-112 deeper dropdown parent"><a class="dropdown-toggle" href="/en/oz/discover" data-toggle="dropdown">{% trans %}Discover{% endtrans %}<b class="caret"></b></a>
+  <ul class="dropdown-menu">
+    <li><a href="/en/oz/discover">{% trans %}Discovering the Platform{% endtrans %}</a></li>
+    <li><a href="/en/oz/news">{% trans %}News{% endtrans %}</a></li>
+    <li><a href="/en/oz/co-construct">{% trans %}Co-construct{% endtrans %}</a></li>
+    <li><a href="/en/oz/let-s-go">{% trans %}Let's go{% endtrans %}</a></li>
+    <li><a href="/en/oz/projects">{% trans %}Projects{% endtrans %}</a></li>
+</ul></li></ul>
+
+      	    <!-- //RIGHT NAV -->
+                    
+		</div>
+
+	</div>
+</nav>
diff --git a/ckanext/ozwillo_theme/templates/language_switcher.html b/ckanext/ozwillo_theme/templates/language_switcher.html
new file mode 100644
index 0000000..8c14726
--- /dev/null
+++ b/ckanext/ozwillo_theme/templates/language_switcher.html
@@ -0,0 +1,18 @@
+{% set current_lang = request.environ.CKAN_LANG %}
+{% set current_url = request.environ.CKAN_CURRENT_URL %}
+<!-- LANGUAGE SWITCHER -->
+
+<a class="dropdown-toggle" href="/" data-toggle="dropdown">
+{% for locale in h.get_available_locales() %}
+{% if locale == current_lang %}{{ locale.display_name or locale.english_name }}{% endif %}
+{% endfor %}
+<b class="caret"></b>
+</a>
+
+<ul class="dropdown-menu ">
+{% for locale in h.get_available_locales() %}
+<li><a href="{% url_for current_url, locale=locale %}">{{ locale.display_name or locale.english_name }}</a></li>
+{% endfor %}
+</li>
+</ul>
+<!-- //LANGUAGE SWITCHER -->