commit 68c5207c679e910ce4613e9574a93bb5fb6008cf
Author: Guillaume Denis <gdenis@pole-numerique.fr>
Date:   Wed Mar 11 11:06:50 2015 +0100

    footer CSS

diff --git a/ckanext/ozwillo_theme/fanstatic/ozwillo.css b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
index 69e4d44..5c9d2da 100644
--- a/ckanext/ozwillo_theme/fanstatic/ozwillo.css
+++ b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
@@ -114,3 +114,29 @@ padding-top: 80px;
     display: block;
 }
 
+/* footer */
+footer .t3-footnav {
+  padding: 16px 0 0;
+}
+
+footer #oz-footer-well {
+  text-align: center;
+}
+
+footer p {
+  margin: 16px 0;
+}
+
+footer .navbar-nav.navbar-footer > li > a {
+  display: block;
+  box-sizing: border-box;
+  border-radius: 3px;
+  line-height: 22px;
+  padding: 0.25em 0.4em;
+  text-decoration: none;
+}
+
+footer .navbar-nav.navbar-footer > li > a:hover {
+  background: #efe4f0;
+}
+
diff --git a/ckanext/ozwillo_theme/public/img/FR.png b/ckanext/ozwillo_theme/public/img/FR.png
new file mode 100644
index 0000000..1e22c86
Binary files /dev/null and b/ckanext/ozwillo_theme/public/img/FR.png differ
diff --git a/ckanext/ozwillo_theme/templates/footer.html b/ckanext/ozwillo_theme/templates/footer.html
index f3234fb..20023de 100644
--- a/ckanext/ozwillo_theme/templates/footer.html
+++ b/ckanext/ozwillo_theme/templates/footer.html
@@ -6,24 +6,22 @@
 			<div class="container">
 					<!-- SPOTLIGHT -->
 	<div class="t3-spotlight t3-footnav  row">
-					<div class=" col-lg-6 col-md-6 col-sm-3 col-xs-12">
-								<div class="t3-module module " id="Mod92"><div class="module-inner"><div class="module-ct">
-
-<div class="custom">
-	<div class="text-center">
-  <img src="/img/logo.png">
-  <p>{% trans %}A platform of interactive services{% endtrans %}<br>
-     {% trans %}for a common good of data{% endtrans %}
-  </p>
-  <p>
-  <img src="/img/CIP.png" alt="CIP"/>
-  <img src="/img/EU.png" alt="EU"/>
-  <img src="/img/PIA.png" alt="PIA"/>
-</div></div>
-</div></div></div>
-							</div>
-					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
-								<div class="t3-module module " id="Mod141"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-right navbar-footer">
+		<div class=" col-lg-6 col-md-6 col-sm-3 col-xs-12">
+			<div id="oz-footer-well">
+			  <img src="/img/logo.png">
+			  <p>{% trans %}A platform of interactive services{% endtrans %}<br>
+			     {% trans %}for a common good of data{% endtrans %}
+			  </p>
+			  <p>
+				  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/CIP.png" alt="CIP"/></a>
+				  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/EU.png" alt="EU"/></a>
+				  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/PIA.png" alt="PIA"/></a>
+				  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/FR.png" alt="FR"/></a>
+				</p>
+			</div>
+		</div>
+		<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
+								<div class="t3-module module " id="Mod141"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-footer">
 <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/discover">{% trans %}Discovering{% endtrans %}</a></li>
 <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/news">{% trans %}News{% endtrans %}</a></li>
 <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/co-construct">{% trans %}Co-construct{% endtrans %}</a></li>
@@ -31,14 +29,14 @@
 </div></div></div>
 							</div>
 					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
-								<div class="t3-module module " id="Mod142"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-right navbar-footer">
+								<div class="t3-module module " id="Mod142"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-footer">
 <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/contact">{% trans %}Contact{% endtrans %}</a></li>
 <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/l-equipe-projet-oasis">{% trans %}Project team{% endtrans %}</a></li>
 <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects">{% trans %}Projects{% endtrans %}</a></li></ul>
 </div></div></div>
 							</div>
 					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
-								<div class="t3-module module " id="Mod143"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-right navbar-footer">
+								<div class="t3-module module " id="Mod143"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-footer">
 <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/guide-utilisateur">{% trans %}User guide{% endtrans %}</a></li>
 <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/terms">{% trans %}General terms of use{% endtrans %}</a></li>
 <li><a href="{{ g.ozwillo_url }}/{{current_lang}}/legal-notices">{% trans %}Legal Notices{% endtrans %}</a></li>