commit dabcd70c4ccbf8146572182feb333b44fa754a29
Author: Guillaume Denis <gdenis@pole-numerique.fr>
Date:   Fri Apr 3 09:46:39 2015 +0200

    cleanup and remove off-canvas dependency

diff --git a/ckanext/ozwillo_theme/fanstatic/plugins.system.t3.base-bs3.less.off-canvas.less.css b/ckanext/ozwillo_theme/fanstatic/plugins.system.t3.base-bs3.less.off-canvas.less.css
deleted file mode 100644
index 78e6dec..0000000
--- a/ckanext/ozwillo_theme/fanstatic/plugins.system.t3.base-bs3.less.off-canvas.less.css
+++ /dev/null
@@ -1,598 +0,0 @@
-.off-canvas-toggle {
-  z-index: 100;
-}
-html,
-body {
-  height: 100%;
-}
-.noscroll {
-  position: fixed;
-  overflow-y: scroll;
-  width: 100%;
-}
-.t3-wrapper {
-  background: #ffffff;
-  position: relative;
-  left: 0;
-  z-index: 99;
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-  overflow: visible;
-}
-.t3-wrapper::after {
-  position: absolute;
-  top: 0;
-  right: 0;
-  width: 0;
-  height: 0;
-  background: rgba(0, 0, 0, 0.2);
-  content: '';
-  opacity: 0;
-  -webkit-transition: opacity 0.5s, width 0.1s 0.5s, height 0.1s 0.5s;
-  transition: opacity 0.5s, width 0.1s 0.5s, height 0.1s 0.5s;
-  z-index: 100;
-}
-.off-canvas-open .t3-wrapper::after {
-  width: 100%;
-  height: 10000px;
-  opacity: 1;
-  -webkit-transition: opacity 0.5s;
-  transition: opacity 0.5s;
-}
-.t3-off-canvas {
-  position: absolute;
-  top: 0;
-  left: 0;
-  z-index: 100;
-  visibility: hidden;
-  width: 250px;
-  height: 100%;
-  overflow: hidden;
-  -webkit-transition: all 0.5s;
-  transition: all 0.5s;
-}
-.t3-off-canvas::after {
-  position: absolute;
-  top: 0;
-  right: 0;
-  width: 100%;
-  height: 100%;
-  background: rgba(0, 0, 0, 0.2);
-  content: '';
-  opacity: 1;
-  -webkit-transition: opacity 0.5s;
-  transition: opacity 0.5s;
-}
-.off-canvas-right.t3-off-canvas {
-  display: none;
-}
-.off-canvas-right .off-canvas-right.t3-off-canvas {
-  display: block;
-}
-html[dir="ltr"] .off-canvas-right.t3-off-canvas {
-  left: auto;
-  right: 0;
-}
-.off-canvas-open .t3-off-canvas::after {
-  width: 0;
-  height: 0;
-  opacity: 0;
-  -webkit-transition: opacity 0.5s, width 0.1s 0.5s, height 0.1s 0.5s;
-  transition: opacity 0.5s, width 0.1s 0.5s, height 0.1s 0.5s;
-}
-.off-canvas-open .off-canvas-current {
-  visibility: visible;
-}
-.off-canvas-open .t3-off-canvas {
-  overflow-y: auto;
-}
-.t3-off-canvas {
-  background: #ffffff;
-  color: #636884;
-}
-.t3-off-canvas .t3-off-canvas-header {
-  background: #eeeeee;
-  color: #636884;
-  padding: 6px 12px;
-}
-.t3-off-canvas .t3-off-canvas-header h2 {
-  margin: 0;
-}
-.t3-off-canvas .t3-off-canvas-body {
-  padding: 6px 12px;
-}
-.t3-off-canvas .t3-off-canvas-body a {
-  color: #6e418e;
-}
-.t3-off-canvas .t3-off-canvas-body a:hover,
-.t3-off-canvas .t3-off-canvas-body a:focus {
-  color: #45295a;
-}
-.t3-off-canvas .t3-off-canvas-body a:focus {
-  outline: thin dotted;
-  outline: 5px auto -webkit-focus-ring-color;
-  outline-offset: -2px;
-}
-.t3-off-canvas .t3-off-canvas-body .dropdown-menu {
-  position: static;
-  float: none;
-  display: block;
-  width: 100%;
-  padding: 0;
-  border: 0;
-  -webkit-box-shadow: none;
-  box-shadow: none;
-}
-.off-canvas-effect-1.t3-off-canvas {
-  -webkit-transform: translate3d(-100%, 0, 0);
-  transform: translate3d(-100%, 0, 0);
-}
-.off-canvas-effect-1.off-canvas-open .off-canvas-effect-1.t3-off-canvas {
-  -webkit-transform: translate3d(0, 0, 0);
-  transform: translate3d(0, 0, 0);
-}
-.off-canvas-effect-1.t3-off-canvas::after {
-  display: none;
-}
-.off-canvas-right.off-canvas-effect-1.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0);
-  transform: translate3d(100%, 0, 0);
-}
-.off-canvas-effect-2.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0);
-  transform: translate3d(250px, 0, 0);
-}
-.off-canvas-effect-2.t3-off-canvas {
-  z-index: 1;
-}
-.off-canvas-effect-2.off-canvas-open .off-canvas-effect-2.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-}
-.off-canvas-effect-2.t3-off-canvas::after {
-  display: none;
-}
-.off-canvas-right.off-canvas-effect-2.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0);
-  transform: translate3d(-250px, 0, 0);
-}
-.off-canvas-effect-3.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0);
-  transform: translate3d(250px, 0, 0);
-}
-.off-canvas-effect-3.t3-off-canvas {
-  -webkit-transform: translate3d(-100%, 0, 0);
-  transform: translate3d(-100%, 0, 0);
-}
-.off-canvas-effect-3.off-canvas-open .off-canvas-effect-3.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-}
-.off-canvas-effect-3.t3-off-canvas::after {
-  display: none;
-}
-.off-canvas-right.off-canvas-effect-3.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0);
-  transform: translate3d(-250px, 0, 0);
-}
-.off-canvas-right.off-canvas-effect-3.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0);
-  transform: translate3d(100%, 0, 0);
-}
-.off-canvas-effect-4.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0);
-  transform: translate3d(250px, 0, 0);
-}
-.off-canvas-effect-4.t3-off-canvas {
-  z-index: 100;
-  -webkit-transform: translate3d(-50%, 0, 0);
-  transform: translate3d(-50%, 0, 0);
-}
-.off-canvas-effect-4.off-canvas-open .off-canvas-effect-4.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-  -webkit-transform: translate3d(0, 0, 0);
-  transform: translate3d(0, 0, 0);
-}
-.off-canvas-effect-4.t3-off-canvas::after {
-  display: none;
-}
-.off-canvas-right.off-canvas-effect-4.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0);
-  transform: translate3d(-250px, 0, 0);
-}
-.off-canvas-right.off-canvas-effect-4.t3-off-canvas {
-  -webkit-transform: translate3d(50%, 0, 0);
-  transform: translate3d(50%, 0, 0);
-}
-.off-canvas-effect-5.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0);
-  transform: translate3d(250px, 0, 0);
-}
-.off-canvas-effect-5.t3-off-canvas {
-  z-index: 1;
-  -webkit-transform: translate3d(50%, 0, 0);
-  transform: translate3d(50%, 0, 0);
-}
-.off-canvas-effect-5.off-canvas-open .off-canvas-effect-5.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-  -webkit-transform: translate3d(0, 0, 0);
-  transform: translate3d(0, 0, 0);
-}
-.off-canvas-right.off-canvas-effect-5.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0);
-  transform: translate3d(-250px, 0, 0);
-}
-.off-canvas-right.off-canvas-effect-5.t3-off-canvas {
-  z-index: 1;
-  -webkit-transform: translate3d(-50%, 0, 0);
-  transform: translate3d(-50%, 0, 0);
-}
-body.off-canvas-effect-6 {
-  -webkit-perspective: 1500px;
-  perspective: 1500px;
-}
-.off-canvas-effect-6 .t3-wrapper {
-  -webkit-transform-origin: 0% 50%;
-  transform-origin: 0% 50%;
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-  height: auto;
-  overflow: hidden;
-}
-.off-canvas-effect-6.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0) rotateY(-15deg);
-  transform: translate3d(250px, 0, 0) rotateY(-15deg);
-}
-.off-canvas-effect-6.t3-off-canvas {
-  -webkit-transform: translate3d(-100%, 0, 0);
-  transform: translate3d(-100%, 0, 0);
-}
-.off-canvas-effect-6.off-canvas-open .off-canvas-effect-6.t3-off-canvas {
-  -webkit-transform: translate3d(0, 0, 0);
-  transform: translate3d(0, 0, 0);
-}
-.off-canvas-effect-6.t3-off-canvas::after {
-  display: none;
-}
-.off-canvas-right.off-canvas-effect-6 .t3-wrapper {
-  -webkit-transform-origin: 100% 50%;
-  transform-origin: 100% 50%;
-}
-.off-canvas-right.off-canvas-effect-6.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0) rotateY(15deg);
-  transform: translate3d(-250px, 0, 0) rotateY(15deg);
-}
-.off-canvas-right.off-canvas-effect-6.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0);
-  transform: translate3d(100%, 0, 0);
-}
-body.off-canvas-effect-7 {
-  -webkit-perspective: 1500px;
-  perspective: 1500px;
-  -webkit-perspective-origin: 0% 50%;
-  perspective-origin: 0% 50%;
-}
-.off-canvas-effect-7 .t3-wrapper {
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-}
-.off-canvas-effect-7.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0);
-  transform: translate3d(250px, 0, 0);
-}
-.off-canvas-effect-7.t3-off-canvas {
-  -webkit-transform: translate3d(-100%, 0, 0) rotateY(-90deg);
-  transform: translate3d(-100%, 0, 0) rotateY(-90deg);
-  -webkit-transform-origin: 100% 50%;
-  transform-origin: 100% 50%;
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-}
-.off-canvas-effect-7.off-canvas-open .off-canvas-effect-7.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-  -webkit-transform: translate3d(-100%, 0, 0) rotateY(0deg);
-  transform: translate3d(-100%, 0, 0) rotateY(0deg);
-}
-body.off-canvas-effect-7.off-canvas-right {
-  -webkit-perspective-origin: 100% 50%;
-  perspective-origin: 100% 50%;
-}
-.off-canvas-right.off-canvas-effect-7.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0);
-  transform: translate3d(-250px, 0, 0);
-}
-.off-canvas-right.off-canvas-effect-7.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0) rotateY(90deg);
-  transform: translate3d(100%, 0, 0) rotateY(90deg);
-  -webkit-transform-origin: 0 50%;
-  transform-origin: 0 50%;
-}
-.off-canvas-right.off-canvas-effect-7.off-canvas-open .off-canvas-right.off-canvas-effect-7.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0) rotateY(0deg);
-  transform: translate3d(100%, 0, 0) rotateY(0deg);
-}
-body.off-canvas-effect-8 {
-  -webkit-perspective: 1500px;
-  perspective: 1500px;
-  -webkit-perspective-origin: 0% 50%;
-  perspective-origin: 0% 50%;
-}
-.off-canvas-effect-8 .t3-wrapper {
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-}
-.off-canvas-effect-8.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0);
-  transform: translate3d(250px, 0, 0);
-}
-.off-canvas-effect-8.t3-off-canvas {
-  -webkit-transform: translate3d(-100%, 0, 0) rotateY(90deg);
-  transform: translate3d(-100%, 0, 0) rotateY(90deg);
-  -webkit-transform-origin: 100% 50%;
-  transform-origin: 100% 50%;
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-}
-.off-canvas-effect-8.off-canvas-open .off-canvas-effect-8.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-  -webkit-transform: translate3d(-100%, 0, 0) rotateY(0deg);
-  transform: translate3d(-100%, 0, 0) rotateY(0deg);
-}
-.off-canvas-effect-8.t3-off-canvas::after {
-  display: none;
-}
-body.off-canvas-effect-8.off-canvas-right {
-  -webkit-perspective-origin: 100% 50%;
-  perspective-origin: 100% 50%;
-}
-.off-canvas-right.off-canvas-effect-8.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0);
-  transform: translate3d(-250px, 0, 0);
-}
-.off-canvas-right.off-canvas-effect-8.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0) rotateY(-90deg);
-  transform: translate3d(100%, 0, 0) rotateY(-90deg);
-  -webkit-transform-origin: 0 50%;
-  transform-origin: 0 50%;
-}
-.off-canvas-right.off-canvas-effect-8.off-canvas-open .off-canvas-right.off-canvas-effect-8.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0) rotateY(0deg);
-  transform: translate3d(100%, 0, 0) rotateY(0deg);
-}
-body.off-canvas-effect-9 {
-  -webkit-perspective: 1500px;
-  perspective: 1500px;
-}
-.off-canvas-effect-9 .t3-wrapper {
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-}
-.off-canvas-effect-9.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(0, 0, -250px);
-  transform: translate3d(0, 0, -250px);
-}
-.off-canvas-effect-9.t3-off-canvas {
-  opacity: 1;
-  -webkit-transform: translate3d(-100%, 0, 0);
-  transform: translate3d(-100%, 0, 0);
-}
-.off-canvas-effect-9.off-canvas-open .off-canvas-effect-9.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-  -webkit-transform: translate3d(0, 0, 0);
-  transform: translate3d(0, 0, 0);
-}
-.off-canvas-effect-9.t3-off-canvas::after {
-  display: none;
-}
-.off-canvas-right.off-canvas-effect-9.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0);
-  transform: translate3d(100%, 0, 0);
-}
-body.off-canvas-effect-10 {
-  -webkit-perspective: 1500px;
-  perspective: 1500px;
-  -webkit-perspective-origin: 0% 50%;
-  perspective-origin: 0% 50%;
-}
-.off-canvas-effect-10.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0);
-  transform: translate3d(250px, 0, 0);
-}
-.off-canvas-effect-10.t3-off-canvas {
-  z-index: 1;
-  opacity: 1;
-  -webkit-transform: translate3d(0, 0, -250px);
-  transform: translate3d(0, 0, -250px);
-}
-.off-canvas-effect-10.off-canvas-open .off-canvas-effect-10.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-  -webkit-transform: translate3d(0, 0, 0);
-  transform: translate3d(0, 0, 0);
-}
-body.off-canvas-effect-10.off-canvas-right {
-  -webkit-perspective-origin: 100% 50%;
-  perspective-origin: 100% 50%;
-}
-.off-canvas-right.off-canvas-effect-10.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0);
-  transform: translate3d(-250px, 0, 0);
-}
-body.off-canvas-effect-11 {
-  -webkit-perspective: 1500px;
-  perspective: 1500px;
-}
-.off-canvas-effect-11 .t3-wrapper {
-  height: auto;
-  overflow: hidden;
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-}
-.off-canvas-effect-11.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(100px, 0, -600px) rotateY(-20deg);
-  transform: translate3d(100px, 0, -600px) rotateY(-20deg);
-}
-.off-canvas-effect-11.t3-off-canvas {
-  opacity: 1;
-  -webkit-transform: translate3d(-100%, 0, 0);
-  transform: translate3d(-100%, 0, 0);
-}
-.off-canvas-effect-11.off-canvas-open .off-canvas-effect-11.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-  -webkit-transform: translate3d(0, 0, 0);
-  transform: translate3d(0, 0, 0);
-}
-.off-canvas-effect-11.t3-off-canvas::after {
-  display: none;
-}
-.off-canvas-right.off-canvas-effect-11.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-100px, 0, -600px) rotateY(20deg);
-  transform: translate3d(-100px, 0, -600px) rotateY(20deg);
-}
-.off-canvas-right.off-canvas-effect-11.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0);
-  transform: translate3d(100%, 0, 0);
-}
-body.off-canvas-effect-12 {
-  -webkit-perspective: 1500px;
-  perspective: 1500px;
-}
-.off-canvas-effect-12 .t3-wrapper {
-  height: auto;
-  overflow: hidden;
-  -webkit-transform-origin: 100% 50%;
-  transform-origin: 100% 50%;
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-}
-.off-canvas-effect-12.off-canvas-open .t3-wrapper {
-  -webkit-transform: rotateY(-10deg);
-  transform: rotateY(-10deg);
-}
-.off-canvas-effect-12.t3-off-canvas {
-  opacity: 1;
-  -webkit-transform: translate3d(-100%, 0, 0);
-  transform: translate3d(-100%, 0, 0);
-}
-.off-canvas-effect-12.off-canvas-open .off-canvas-effect-12.t3-off-canvas {
-  -webkit-transition: -webkit-transform 0.5s;
-  transition: transform 0.5s;
-  -webkit-transform: translate3d(0, 0, 0);
-  transform: translate3d(0, 0, 0);
-}
-.off-canvas-effect-12.t3-off-canvas::after {
-  display: none;
-}
-.off-canvas-right.off-canvas-effect-12 .t3-wrapper {
-  -webkit-transform-origin: 0 50%;
-  transform-origin: 0 50%;
-}
-.off-canvas-right.off-canvas-effect-12.off-canvas-open .t3-wrapper {
-  -webkit-transform: rotateY(10deg);
-  transform: rotateY(10deg);
-}
-.off-canvas-right.off-canvas-effect-12.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0);
-  transform: translate3d(100%, 0, 0);
-}
-body.off-canvas-effect-13 {
-  -webkit-perspective: 1500px;
-  perspective: 1500px;
-  -webkit-perspective-origin: 0% 50%;
-  perspective-origin: 0% 50%;
-}
-.off-canvas-effect-13.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0);
-  transform: translate3d(250px, 0, 0);
-}
-.off-canvas-effect-13.t3-off-canvas {
-  z-index: 1;
-  opacity: 1;
-  -webkit-transform: translate3d(0, -100%, 0);
-  transform: translate3d(0, -100%, 0);
-}
-.off-canvas-effect-13.off-canvas-open .off-canvas-effect-13.t3-off-canvas {
-  -webkit-transition-timing-function: ease-in-out;
-  transition-timing-function: ease-in-out;
-  -webkit-transition-property: -webkit-transform;
-  transition-property: transform;
-  -webkit-transform: translate3d(0, 0, 0);
-  transform: translate3d(0, 0, 0);
-  -webkit-transition-speed: 0.2s;
-  transition-speed: 0.2s;
-}
-body.off-canvas-effect-13.off-canvas-right {
-  -webkit-perspective-origin: 100% 50%;
-  perspective-origin: 100% 50%;
-}
-.off-canvas-right.off-canvas-effect-13.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0);
-  transform: translate3d(-250px, 0, 0);
-}
-body.off-canvas-effect-14 {
-  -webkit-perspective: 1500px;
-  perspective: 1500px;
-  -webkit-perspective-origin: 0% 50%;
-  perspective-origin: 0% 50%;
-}
-.off-canvas-effect-14 .t3-wrapper {
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-}
-.off-canvas-effect-14.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(250px, 0, 0);
-  transform: translate3d(250px, 0, 0);
-}
-.off-canvas-effect-14.t3-off-canvas {
-  -webkit-transform: translate3d(-100%, 0, 0) rotateY(90deg);
-  transform: translate3d(-100%, 0, 0) rotateY(90deg);
-  -webkit-transform-origin: 0% 50%;
-  transform-origin: 0% 50%;
-  -webkit-transform-style: preserve-3d;
-  transform-style: preserve-3d;
-}
-.off-canvas-effect-14.off-canvas-open .off-canvas-effect-14.t3-off-canvas {
-  -webkit-transition-delay: 0.1s;
-  transition-delay: 0.1s;
-  -webkit-transition-timing-function: ease-in-out;
-  transition-timing-function: ease-in-out;
-  -webkit-transition-property: -webkit-transform;
-  transition-property: transform;
-  -webkit-transform: translate3d(-100%, 0, 0) rotateY(0deg);
-  transform: translate3d(-100%, 0, 0) rotateY(0deg);
-}
-body.off-canvas-effect-14.off-canvas-right {
-  -webkit-perspective-origin: 100% 50%;
-  perspective-origin: 100% 50%;
-}
-.off-canvas-right.off-canvas-effect-14.off-canvas-open .t3-wrapper {
-  -webkit-transform: translate3d(-250px, 0, 0);
-  transform: translate3d(-250px, 0, 0);
-}
-.off-canvas-right.off-canvas-effect-14.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0) rotateY(-90deg);
-  transform: translate3d(100%, 0, 0) rotateY(-90deg);
-  -webkit-transform-origin: 100% 50%;
-  transform-origin: 100% 50%;
-}
-.off-canvas-right.off-canvas-effect-14.off-canvas-open .off-canvas-right.off-canvas-effect-14.t3-off-canvas {
-  -webkit-transform: translate3d(100%, 0, 0) rotateY(0deg);
-  transform: translate3d(100%, 0, 0) rotateY(0deg);
-}
-.old-ie .t3-off-canvas {
-  z-index: 100 !important;
-  left: -250px;
-}
-html[dir="ltr"] .off-canvas-right.old-ie .t3-off-canvas {
-  right: -250px;
-  left: auto;
-}
-.modal-open .t3-wrapper {
-  position: static;
-}
\ No newline at end of file
diff --git a/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.off-canvas.less.css b/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.off-canvas.less.css
deleted file mode 100644
index e69de29..0000000
diff --git a/ckanext/ozwillo_theme/templates/base.html b/ckanext/ozwillo_theme/templates/base.html
index f29ed42..d10738b 100644
--- a/ckanext/ozwillo_theme/templates/base.html
+++ b/ckanext/ozwillo_theme/templates/base.html
@@ -16,8 +16,6 @@
   {% resource 'theme/templates.t3_bs3_blank.less.plugins.hover.less.css' %}
   {% resource 'theme/templates.t3_bs3_blank.less.themes.dark.template.less.css' %}
   {% resource 'theme/templates.t3_bs3_blank.less.template.less.css' %}
-  {% resource 'theme/plugins.system.t3.base-bs3.less.off-canvas.less.css' %}
-  {% resource 'theme/templates.t3_bs3_blank.less.off-canvas.less.css' %}
   {% resource 'theme/template.css' %}
   {% resource 'theme/responsive.css' %}
   {% resource 'theme/off-canvas.js' %}